From 5ddfed7ccbb19663bc63d881e344a4bdc984e5bc Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Oriol=20Tint=C3=B3?= <oriol.tinto@lmu.de>
Date: Mon, 17 Jul 2023 11:59:03 +0200
Subject: [PATCH] Add test with B6 branch.

---
 .gitlab-ci.yml                      | 16 ++++++++++++++++
 examples/02_real-from-dwd-ana_B6.sh | 21 +++++++++++++++++++++
 2 files changed, 37 insertions(+)
 create mode 100755 examples/02_real-from-dwd-ana_B6.sh

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index cb1ceba..a516f59 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -78,6 +78,22 @@ real-from-dwd-ana:
   artifacts:
     name: real-from-dwd-ana-logs
     when: always
+    paths:
+      - ./autosubmit/**/tmp
+    expire_in: 7 days
+
+real-from-dwd-ana-B6:
+  stage: run_tests
+  script:
+    - ./examples/02_real-from-dwd-ana_B6.sh
+  tags:
+    - slurm.meteo.physik.lmu.de
+  variables:
+    SRUN_OPTIONS: "--time 04:00:00 --mem 64G -n 16 -c 2"
+
+  artifacts:
+    name: real-from-dwd-ana-B6-logs
+    when: always
     paths:
       - ./autosubmit/**/tmp
     expire_in: 7 days
\ No newline at end of file
diff --git a/examples/02_real-from-dwd-ana_B6.sh b/examples/02_real-from-dwd-ana_B6.sh
new file mode 100755
index 0000000..23da154
--- /dev/null
+++ b/examples/02_real-from-dwd-ana_B6.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#######################################################################################################################
+# Variables that are required to define the test case
+EXPID="rfdaB6"
+ICON_CASE="real-from-dwd-ana"
+ICON_VERSION="w2w-B6"
+PLATFORM="LOCAL"
+EXTRA_NAMELIST=""
+EXTRA_CONFIGURATION=""
+
+#######################################################################################################################
+set -euo pipefail
+
+# Get path to the script directory
+SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
+
+# Import the function run_autoicon_example
+source ${SCRIPT_DIR}/example_utils.sh
+
+# Setup and run the experiment
+run_autoicon_example "$EXPID" "$ICON_CASE" "$ICON_VERSION" "$PLATFORM" "${EXTRA_NAMELIST}" "${EXTRA_CONFIGURATION}"
-- 
GitLab